#
# spec file for package sad
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sad
Version:        0.4.31
Release:        1.5
Summary:        CLI search and replace batch file editing tool
URL:            https://github.com/ms-jpq/sad
License:        (0BSD OR Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT OR Zlib) AND MIT AND (Artistic-2.0 OR CC0-1.0) AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC0-1.0 AND ISC AND MIT AND (MIT OR Unlicense) AND MPL-2.0 AND MPL-2.0+ AND Zlib AND zlib-acknowledgement AND Apache-2.0
Source0:        https://github.com/ms-jpq/sad/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  python3
BuildRequires:  zstd
Recommends:     fzf

%description
Basically sad is a Batch File Edit tool.
It will show you a really nice diff of proposed changes before you commit them.
Unlike sed, you can double check before you fat finger your edit.

%prep
%autosetup -a1

%build
%{cargo_build}

%install
%{cargo_install}

%if %{with check}
%check
%{cargo_test}
%endif

%files
%license LICENSE
%doc README.md RELEASE_NOTES.md
%{_bindir}/sad

%changelog
* Wed Sep 25 2024 Soc Virnyl Estela <obs@uncomfyhalomacro.pl>
- Update to version 0.4.31:
  * Fix display issue with new fzf ( no longer use \n as delimiter )
  * Revert multi-select preview, since it conflicts with incremental preview :(
  * Add PowerShell flag '\r' flag under windows
  * Give up on trying to solve windows edge cases, instead of not working at all, it now works for utf-8 only
  * Reduce allocations
  * Preview multi-selects
  * Fewer dependencies
  * More robust signal handling
* Wed May 22 2024 Soc Virnyl Estela <uncomfy+openbuildservice@uncomfyhalomacro.pl>
- Update to version 0.4.28:
  * Give up on trying to solve windows edge cases, instead of not working at all, it now works for utf-8 only
  * Reduce allocations
  * Preview multi-selects
  * Fewer dependencies
  * More robust signal handling
- Remove cargo_config and vendor.tar.xz
- Add vendor.tar.zst
* Sun Jun 25 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update to version 0.4.23:
  * use python3 uuid
  * update frozenstr literal
  * Bump uuid from 1.2.2 to 1.3.1
  * Bump clap from 4.0.27 to 4.1.14
  * Bump tokio from 1.23.0 to 1.25.0
  * Bump which from 4.3.0 to 4.4.0
  * Bump regex from 1.7.0 to 1.7.1
  * Bump tokio from 1.22.0 to 1.23.0
  * Bump async-channel from 1.7.1 to 1.8.0
  * Bump clap from 4.0.18 to 4.0.27
  * Bump aho-corasick from 0.7.19 to 0.7.20
  * Bump tokio from 1.21.2 to 1.22.0
  * Bump uuid from 1.2.1 to 1.2.2
  * Bump regex from 1.6.0 to 1.7.0
  * Bump futures from 0.3.24 to 0.3.25
  * Bump clap from 4.0.4 to 4.0.18
  * Bump uuid from 1.1.2 to 1.2.1
  * update fmt
  * Bump clap from 3.2.19 to 4.0.4
  * Bump tokio from 1.20.1 to 1.21.2
  * Bump aho-corasick from 0.7.18 to 0.7.19
  * Bump which from 4.2.5 to 4.3.0
  * Bump clap from 3.2.17 to 3.2.19
  * Bump futures from 0.3.23 to 0.3.24
  * Bump futures from 0.3.21 to 0.3.23
  * Bump clap from 3.2.5 to 3.2.17
  * Bump async-channel from 1.6.1 to 1.7.1
  * Bump tokio from 1.19.2 to 1.20.1
  * Bump regex from 1.5.6 to 1.6.0
  * Bump tokio from 1.18.2 to 1.19.2
* Fri Jul  1 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update to version 0.4.22:
  * fix pkg ver
  * CI (AGP) - 2022-06-16 00:56
  * CI (AGP) - 2022-06-15 00:57
  * CI (AGP) - 2022-06-14 01:03
  * CI (AGP) - 2022-06-13 00:57
  * CI (AGP) - 2022-06-12 00:57
  * CI (AGP) - 2022-06-11 00:52
  * CI (AGP) - 2022-06-10 00:57
  * use default init
  * CI (AGP) - 2022-06-09 00:54
* Mon Jun 20 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
* Tue May 24 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
* Wed May  4 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- add fzf to Recommends
  * sad does not come with a UI, it uses fzf to perform selection.
* Wed May  4 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial working spec for sad (0.4.20~0)
